## debian-reference 2.33

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
#######################################################################
### basic parameters (build condition dependent)                    ALL
#######################################################################
BUILD_MODE=xml
# parent dir name of the SVN source checkout location
# make[1]: Entering directory `/org/www.debian.org/ddp-svn/trunk/quick-reference'
PDIR	:=	$(notdir $(realpath $(CURDIR)/../..))
ifeq ($(PDIR),ddp-svn)
# Building www.debian.org
# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals
DRPUBLISHDIR := $(PUBLISHDIR)/debian-reference
else
# Normally
# if $(PUBLISHDIR) is not set, set it
PUBLISHDIR := $(CURDIR)/html
DRPUBLISHDIR := $(PUBLISHDIR)
endif

# Please note package build script overides $(PUBLISHDIR)

#######################################################################
### basic parameters (build condition independent)                  ALL
#######################################################################
# base file name excluding file extension
DOCNAME :=	debian-reference
# Directories (no trailing slash)
PXSLT	:=	xslt
PBIN	:=	bin
ADOC	:=	asciidoc
PODOC	:=	po4a
IMAGES	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images
# Program name and option
XP	:=	xsltproc --nonet --novalid --xinclude
#XL	:=	xmllint --nonet --noout --postvalid --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD)
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
# # note: the URL is used as identifier, no HTTP is used!
# DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
VERBOSE	:=
# Debian packge archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
DEBM	:=	http://ftp.jp.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
# language defaults
LANGALL	:=	en ja fr it es de pt-br pl zh-tw zh-cn
LANGPO	:=	ja
LANGNEW	:=
LANGSGML:=	$(filter-out en $(LANGPO), $(LANGALL))

# AsciiDoc source files in $(ADOC) directories
ASCSRC	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10ntxt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header.txt $(DOCNAME).txt
# source files (local update requires these)
ASCSRCS :=	$(addprefix $(ADOC)/, $(ASCSRC))
RAWSRCS :=	$(DOCNAME).raw.xml all-popcon-results.txt packages.txt
# source files (build prcess requires these)
ENTSRCS	:=	urls.ent datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent common.ent
XMLSRCS	:=	$(DOCNAME).en.xml $(addsuffix .po, $(addprefix  $(PODOC)/$(DOCNAME)., $(LANGPO))) $(ENTSRCS)

#########################################################################
# Local raw XML files and base data created from asciidoc in lenny  LOCAL
#########################################################################
#=======================================================================#
ifeq ($(BUILD_MODE),asciidoc)
#=======================================================================#

.SECONDARY: $(XMLSRCS)

# -----------------------------------------------------------------------
# This is cleaned after "make clean"
# create a raw XML source from asciidoc source
$(DOCNAME).raw.xml: $(ASCSRCS)
	asciidoc -a 'newline=\n' -b docbook -d book -o - $(ADOC)/$(DOCNAME).txt |\
	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
	xmllint --format -  > $@

# -----------------------------------------------------------------------
# Remotely fetched files prior to the build after "make distclean"
# These are cleaned after "make clean"
# These will not be a part of source except datadate{pop|size}.ent
# datadate{pop|size}.ent are generated as secondary side effects

all-popcon-results.txt:
	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent

packages.txt:
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp
	#sync
	#sleep 1
	cat packages.main packages.contrib packages.non-free >$@
	#
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent
	rm packages.main packages.contrib packages.non-free

# trick to allow building source w/o all-popcon-results.txt
datadatepop.ent:
	$(MAKE) all-popcon-results.txt

# trick to allow building source w/o packages.txt
datadatesize.ent:
	$(MAKE) packages.txt

# trick to allow building source w/o all-popcon-results.txt and pkg.lst
popcon.ent:
	if ! [ -f all-popcon-results.txt ]; then $(MAKE) all-popcon-results.txt ; fi
	if ! [ -f pkg.lst ]; then $(MAKE) pkg.lst ; fi
	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  $@
	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> $@
	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> $@
	TOTAL=$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(PBIN)/popconent $$TOTAL				>> $@

# trick to allow building source w/o packages.txt and pkg.lst
pkgsize.ent:
	if ! [ -f packages.txt ]; then $(MAKE) packages.txt ; fi
	if ! [ -f pkg.lst ]; then $(MAKE) pkg.lst ; fi
	$(PBIN)/sizeent packages.txt < pkg.lst	> $@

# change if there have been some change in source
common.ent: $(filter-out common.ent, $(XMLSRCS))
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
	echo "<!ENTITY codename-stable   \"lenny\">"			>> $@
	echo "<!ENTITY codename-testing  \"squeeze\">"			>> $@
	echo "<!ENTITY codename-nexttesting  \"squeeze+1\">"		>> $@
	echo "<!ENTITY codename-unstable \"sid\">"			>> $@

# -----------------------------------------------------------------------
# Create final XML sources
# This is not cleaned after "make clean" but cleaned by "make distclean"

# replace table contents with @@@popcon*@@@ and @@@psize*@@@ and 
# fix URL referencees and table ID.
$(DOCNAME).en.xml: $(DOCNAME).raw.xml $(ADOC)/header.txt
	
	# use asciidoc generated xml file as main contents 
	xsltproc --novalid $(VERBOSE) $(PXSLT)/table.xsl $(DOCNAME).raw.xml |\
	$(PBIN)/colspec.py  |\
	sed -e '/<!DOCTYPE /d' -e "1r $(ADOC)/header.txt" |\
	sed -f bin/replace > $@

# trick to allow building source w/o regenerating urls.ent unneededly
urls.ent:  $(ASCSRCS)
	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq | sed -f bin/replace	> $@

# package name list for popcon and size ent file generation
# This file is not part of source
pkg.lst: $(DOCNAME).raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/pkg.xsl $< > $@


#=======================================================================#
else
#=======================================================================#
# To avoid circular dependency
$(DOCNAME).en.xml:
	echo "You need to run \"make xml\""
	exit

#=======================================================================#
endif
#=======================================================================#

#########################################################################
# POT/PO file operations                                            LOCAL
#########################################################################
# Create new POT file in $(PODOC) matching $(DOCNAME).en.xml
.PHONY: pot
pot: $(PODOC)/$(DOCNAME).pot
$(PODOC)/$(DOCNAME).pot: $(DOCNAME).en.xml
	$(GETTEXT) -m $(DOCNAME).en.xml -p $(PODOC)/$(DOCNAME).pot

# Update new PO file in $(PODOC) by POT file
$(PODOC)/$(DOCNAME).%.po: $(PODOC)/$(DOCNAME).pot
	$(UPDATEPO) $(PODOC)/$(DOCNAME).$*.po $(PODOC)/$(DOCNAME).pot

# Update new PO file in $(PODOC) by POT file for English typo fix
.PHONY: typo
typo:
	-rm -f $(PODOC)/$(DOCNAME).pot.old
	cp $(PODOC)/$(DOCNAME).pot $(PODOC)/$(DOCNAME).pot.old
	$(MAKE) BUILD_MODE=asciidoc  $(DOCNAME).en.xml
	$(GETTEXT) -m $(DOCNAME).en.xml -p $(PODOC)/$(DOCNAME).pot
	# repeat for all languages
	msguntypot -o $(PODOC)/$(DOCNAME).pot.old -n $(PODOC)/$(DOCNAME).pot $(PODOC)/$(DOCNAME).ja.po

#########################################################################
# Translate XML files                                                 ALL
#########################################################################
$(DOCNAME).%.xml: $(PODOC)/$(DOCNAME).%.po $(DOCNAME).en.xml
	$(TRANSLATE) -m $(DOCNAME).en.xml -p $(PODOC)/$(DOCNAME).$*.po -l $(DOCNAME).$*.xml
	
#########################################################################
# Create HTML files                                                   ALL
#########################################################################
.PHONY: css
css:
	-rm -rf $(DRPUBLISHDIR)/images
	mkdir -p $(DRPUBLISHDIR)/images
	cp -f $(PXSLT)/$(DOCNAME).css $(DRPUBLISHDIR)/$(DOCNAME).css
	cd $(IMAGES) ; cp caution.png home.gif important.png next.gif note.png prev.gif tip.png up.gif warning.png $(DRPUBLISHDIR)/images

.PHONY: html
html:	$(foreach lang, en $(LANGPO), $(DRPUBLISHDIR)/$(DOCNAME).$(lang).html)  $(foreach lang, en $(LANGPO), $(DRPUBLISHDIR)/index.$(lang).html)

$(DRPUBLISHDIR)/$(DOCNAME).%.html: $(DOCNAME).%.xml $(ENTSRCS)
	$(XP)   --stringparam root.filename $(DOCNAME) \
		--stringparam base.dir $(DRPUBLISHDIR)/ \
                --stringparam html.ext .$*.html \
                --stringparam html.stylesheet $(DOCNAME).css \
                xslt/style-onehtml.xsl $<

$(DRPUBLISHDIR)/index.%.html: $(DOCNAME).%.xml $(ENTSRCS)
	$(XP)   --stringparam root.filename index \
		--stringparam base.dir $(DRPUBLISHDIR)/ \
                --stringparam html.ext .$*.html \
                --stringparam html.stylesheet $(DOCNAME).css \
                xslt/style-html.xsl $<

.PHONY: txt
txt:	$(foreach lang, en $(LANGPO), $(DRPUBLISHDIR)/$(DOCNAME).$(lang).txt)
#  Build rule for TXT (non-English)
#  #  (UTF-8 compatibility of debiandoc2text is limitted)
$(DRPUBLISHDIR)/$(DOCNAME).%.txt: $(DRPUBLISHDIR)/$(DOCNAME).%.html
	LC_ALL=en_US.UTF-8 w3m -dump -cols 65 -T text/html $(DRPUBLISHDIR)/$(DOCNAME).$*.html >$@


#########################################################################
# Utility targets                                                     ALL
#########################################################################
# Replicate
REMOTE  := people.debian.org:public_html/pub/po4a/

.PHONY: rsync
rsync:
	rsync --exclude=all-popcon-results.txt --exclude=packages.txt --exclude=pkg.lst --exclude="debian-reference.*.xml" \
		-rpt --delete-after . $(REMOTE)
	# somehow rsync does 700, fixit

=== sgml/Makefile ===
#
# New Makefile Template (Osamu Aoki)
#
#  Build html(multi/single file) and single file txt formats.
#
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Lenny system                     #
# ------------------------------------------------------------------- #

.SUFFIXES:
# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-independent XML/SGML tar-ball name.
#MANUAL := $(notdir $(CURDIR))
MANUAL		:= debian-reference
MANUAL0		:= dr1
LANG_ALL	:= fr it es de pt-br pl zh-tw zh-cn
PUBLISHDIR	:= ../html
HTML_PAGES 	:= ap-appendix ch-edit ch-gateway ch-gnupg ch-install \
		ch-kernel ch-package ch-preface ch-program ch-support \
		ch-system ch-tips ch-tune ch-tutorial ch-vcs ch-woody \
		footnotes


# =================================================================== #
#                 Build rule part: SGML source                        #
# =================================================================== #
# SGML source files inherited from debian-reference (v1)
# (Already converted to UTF-8)
ENTS	:= $(MANUAL0).ent
SRCS	:= $(foreach lang, $(LANG_ALL), $(MANUAL).$(lang).sgml) \
	     $(foreach lang, $(LANG_ALL), $(wildcard $(lang)/*.sgml)) \
	     $(ENTS)

SRCX	:= $(foreach lang, $(LANG_ALL), $(MANUAL).$(lang).sgml)
# List of html stamp files to be built
HTML	:= $(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/index.$(lang).html) \
	$(foreach page,$(HTML_PAGES),$(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/$(page).$(lang).html)) \
	$(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/$(MANUAL).$(lang).html)
# List of txt to be built
TXT	:= $(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/$(MANUAL).$(lang).txt)
# All target
TARGETS	:= $(HTML) $(TXT)
# Blacklist for failing build
BLACKLIST	:=
#BLACKLIST	:= $(MANUAL).ja.pdf

.PHONY:	all
all:    $(filter-out $(BLACKLIST), $(TARGETS))

# Build rule for debian-reference.??.sgml
$(MANUAL).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL)/g" \
	        $< > $(MANUAL).$*.sgml

#  Build rule for HTML (non-English)
$(PUBLISHDIR)/index.%.html: $(MANUAL).%.sgml $(SRCS)
	debiandoc2html $(BUILD_OPT) -l $*.utf-8 -C $<
	mkdir -p $(PUBLISHDIR)
	cp $(MANUAL).$*.html/* $(PUBLISHDIR)/
	rm -rf $(MANUAL).$*.html
$(PUBLISHDIR)/$(MANUAL).%.html: $(MANUAL).%.sgml $(SRCS)
	debiandoc2html $(BUILD_OPT) -1 -b $(MANUAL)-1.$* -l $*.utf-8 -C $<
	mkdir -p $(PUBLISHDIR)
	mv -f $(MANUAL)-1.$*.html/index.$*.html $(PUBLISHDIR)/$(MANUAL).$*.html
	rm -rf $(MANUAL)-1.$*.html

#  Build rule for TXT (non-English)
#  (UTF-8 compatibility of debiandoc2text is limitted) 
$(PUBLISHDIR)/$(MANUAL).%.txt: $(PUBLISHDIR)/$(MANUAL).%.html
	LC_ALL=en_US.UTF-8 w3m -dump -cols 65 -T text/html $(PUBLISHDIR)/$(MANUAL).$*.html >$@

#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANG_SGML); do $(MAKE) validate-$$i ; done

validate1-%: $(SRCS_SGML) $(MANUAL).%.ent 
	nsgmls -gues -wall $(MANUAL).$*.sgml

#====[ check all URLs ]========================================================
check-urls:
	for i in $(LANG_SGML); do $(MAKE) check-urls-$$i ; done

define CHECK_URLS # one argument $1: reference or quick-reference
# Bug: Woody's wget hangs during http://localhost:631 check 
	for file in $(1).$*.html/*.html; do \
	  sed 's|http://localhost:631/|Ignore this wrong URL/|g' $$file | \
	  wget --spider --non-verbose --force-html \
	       --base=$(1).$*.html/ -i - 2>&1 | \
          grep -v '^200 OK$$' | grep -v '^ *$$'; \
	done || true
endef

check-urls-%: $(MANUAL).%.html.stamp
	$(call CHECK_URLS,$(MANUAL))

#############################################################################
### Clean source tree                                                     ###
#############################################################################
#### Clean SGML build environment 
.PHONY: clean
clean:
	-rm  -f $(SRCX)
	-rm -f `find . -name "*~" -o -name "*.bak" -o -name "*.rej" -o -name "*.orig" -o -name ".#*"`
	-rm -f core
.PHONY: distclean
distclean: clean
	-rm  -f $(TARGETS)
	-rm  -rf $(PUBLISHDIR)

=== debian/changelog ===
debian-reference (2.33) unstable; urgency=low

  * More Japanese translation up to 5.8.
  * Fixed bugs in English while translating.
  * Updated chroot section.
  * Changed Makefile to use msgmerge. 
  * Asciidoc conversion is done in lenny before build by
    "make xml".  No more need to depend on asciidoc.

 -- Osamu Aoki <osamu@debian.org>  Sat, 27 Jun 2009 00:36:05 +0900

debian-reference (2.32) unstable; urgency=low

  * Fixed DDP build script to function well.
  * More Japanese translation up to 2.7.7.
  * Used .SECONDAY to keep XML files in source. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 Jun 2009 03:29:52 +0900

debian-reference (2.31) unstable; urgency=low

  * Switched English source format to asciidoc and reorganized the
    whole source tree.  No more MoinMoin support.
  * Created po4a based translation infrastructure.
  * Supported offical DDP web site pages to be build.
  * Started new translation for Japanese (partial).
  * Moved source from alioth GIT back to DDP SVN which was at 1.09-3.
  * Added new icon for debian-reference.

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 May 2009 09:31:45 +0900

debian-reference (2.30) unstable; urgency=low

  * Updated MoinMoin access methods to match the server upgrade. 
  * Updated few contents from Wiki.
  * Fixed incorrect advice about $PATH for sudo per  Sven Joachim. 
    Closes: 525868.

 -- Osamu Aoki <osamu@debian.org>  Wed, 29 Apr 2009 11:41:14 +0900

debian-reference (2.29) unstable; urgency=low

  * Refined per general suggestions of Tim Richardson.
  * Expanded "Conventions".
  * Updated popcon and package size data.

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Feb 2009 22:54:41 +0900

debian-reference (2.28) unstable; urgency=low

  * Updated non-English documents for removed xmove package 

 -- Osamu Aoki <osamu@debian.org>  Mon, 09 Feb 2009 21:35:13 +0900

debian-reference (2.27) unstable; urgency=low

  * Updated for removed packages: xmove, iceape-browser, es
  * Updated popcon and package size data. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 08 Feb 2009 18:05:17 +0900

debian-reference (2.26) unstable; urgency=low

  * Fixed around "fair use" in "Copyright history".
  * Commened on solution to DNS timeout for exim4.

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Feb 2009 00:02:55 +0900

debian-reference (2.25) unstable; urgency=low

  * Added "Automatic download and upgrade of packages", "Limit download
    bandwidth for APT", description for dump package and many external URL
    links.
  * Fixed typos and many style inconsistencies.

 -- Osamu Aoki <osamu@debian.org>  Sat, 31 Jan 2009 08:07:27 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, locales-all | locales, debiandoc-sgml
Standards-Version: 3.8.1
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference
Architecture: all
Depends: debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-common
Architecture: all
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.00)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-es
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-es
Replaces: quick-reference-es
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-de
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-de
Replaces: quick-reference-de
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pt-br
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-pt-br
Replaces: quick-reference-pt-br
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pl
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-pl
Replaces: quick-reference-pl
Description: Debian system administration guide, Polish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-tw
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-tw
Replaces: quick-reference-zh-tw
Description: Debian system administration guide, Chinese(TW) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-cn
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-cn
Replaces: quick-reference-zh-cn
Description: Debian system administration guide, Chinese(CN) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# C build environmet need for perl
export LC_ALL=C
# UTF-8 build environmet need for w3m (see Makefile)

#  Build multi file html, single file html, and single file text formats.
#  Makefile for developer-reference was used as my reference.
#
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at lenny/squeeze system             #
# ------------------------------------------------------------------- #

# do not use default suffix rules such as .tex.dvi: (uses tex, not latex!)
.SUFFIXES:
# =================================================================== #
#                 Default configuration part                          #
# =================================================================== #
DOCNAME	:=	debian-reference
LANGALL	:=	en ja fr it es de pt-br pl zh-tw zh-cn
LANGPO	:=	ja
LANGSGML:=	$(filter-out en $(LANGPO), $(LANGALL))
# Directories (no trailing slash)
PXSLT	:=	xslt
PBIN	:=	bin
ADOC	:=	asciidoc
PODOC	:=	po4a
IMAGES	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images
PUBLISHDIR:=	$(CURDIR)/html

# =================================================================== #
#                 Build/clean script part                             #
# =================================================================== #
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Do nothing
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	# XML genaration including PO update --> disabled.
	#$(MAKE) "DOCNAME=$(DOCNAME)" "LANGPO=$(LANGPO)" xml
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Clean generted files from document build for packaging
	$(MAKE) "DOCNAME=$(DOCNAME)" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" "PUBLISHDIR=$(PUBLISHDIR)" clean

	# Clean html files if ever existed in html/
	-rm -rf html

	# Clean generated files for debhelper in debian/
	-cd $(CURDIR)/debian/ ; \
	rm -f $(DOCNAME)-common.postinst ; \
	for xx in $(LANGALL) ; do \
	  rm -f $(DOCNAME)-$${xx}.dirs \
	      $(DOCNAME)-$${xx}.doc-base \
	      $(DOCNAME)-$${xx}.postrm \
	      $(DOCNAME)-$${xx}.postinst ; \
	done
	dh_clean

copyfiles:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp postinst-full     $(DOCNAME)-common.postinst ; \
	for xx in $(LANGALL) ; do \
	  cp postinst-full     $(DOCNAME)-$${xx}.postinst ; \
	  cp postrm-full       $(DOCNAME)-$${xx}.postrm ; \
	  case $$xx in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	  esac ; \
	  cp $(DOCNAME).dirs.all $(DOCNAME)-$${xx}.dirs ; \
	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < $(DOCNAME).doc-base-all  >$(DOCNAME)-$${xx}.doc-base ; \
	done

install: build copyfiles
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(DOCNAME)-??.
	#  (No more examples)

	install -d $(CURDIR)/debian/$(DOCNAME)-common/usr/share/applications
	install -m 644 debian/$(DOCNAME)-common.desktop $(CURDIR)/debian/$(DOCNAME)-common/usr/share/applications/

	install -d $(CURDIR)/debian/$(DOCNAME)-common/usr/share/pixmaps
	install -m 644 debian/$(DOCNAME).png $(CURDIR)/debian/$(DOCNAME)-common/usr/share/pixmaps/

	install -m 755 --preserve-timestamps bin/$(DOCNAME) \
	    $(CURDIR)/debian/$(DOCNAME)-common/usr/bin/$(DOCNAME)

	install -m 755 --preserve-timestamps bin/mkindexhtml \
	    $(CURDIR)/debian/$(DOCNAME)-common/usr/share/$(DOCNAME)/mkindexhtml

	for xx in $(LANGALL); do \
	  mkdir -p $(CURDIR)/debian/$(DOCNAME)-$${xx}/usr/share/doc/$(DOCNAME)-$${xx} ;\
	  ln -fs ../$(DOCNAME)-common/README.gz \
	      $(CURDIR)/debian/$(DOCNAME)-$${xx}/usr/share/doc/$(DOCNAME)-$${xx}/README.gz ;\
	done
	# HTML genaration
	PUBLISHDIR=$(CURDIR)/debian/$(DOCNAME)-common/usr/share/doc/$(DOCNAME)-common/html ; \
	$(MAKE) "DOCNAME=$(DOCNAME)" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" \
	      "PUBLISHDIR=$$PUBLISHDIR" css
	for xx in en $(LANGPO) ; do \
	  PUBLISHDIR=$(CURDIR)/debian/$(DOCNAME)-$${xx}/usr/share/doc/$(DOCNAME)-common/html ; \
	  echo "LANG=$$xx, PUBLISHDIR=$$PUBLISHDIR" ; \
	  $(MAKE) "DOCNAME=$(DOCNAME)" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" \
	      "PUBLISHDIR=$$PUBLISHDIR" $$PUBLISHDIR/$(DOCNAME).$${xx}.txt \
	      $$PUBLISHDIR/$(DOCNAME).$${xx}.html  $$PUBLISHDIR/index.$${xx}.html ; \
	done
	for xx in $(LANGSGML); do \
	  PUBLISHDIR=$(CURDIR)/debian/$(DOCNAME)-$${xx}/usr/share/doc/$(DOCNAME)-common/html ; \
	  echo "LANG=$$xx, PUBLISHDIR=$$PUBLISHDIR" ; \
	  $(MAKE) -C sgml "DOCNAME=$(DOCNAME)" "LANG_ALL=$(LANSGML)" \
	      "PUBLISHDIR=$$PUBLISHDIR" $$PUBLISHDIR/$(DOCNAME).$${xx}.txt \
	      $$PUBLISHDIR/$(DOCNAME).$${xx}.html  $$PUBLISHDIR/index.$${xx}.html ; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman -p $(DOCNAME)-common man/$(DOCNAME).1 man/$(DOCNAME).*.1 
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_desktop
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

# if rule bomb out, delete the target
.DELETE_ON_ERROR:
